Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations IDS on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

Polar coordinates 1

Status
Not open for further replies.

sparky112

Mechanical
Oct 19, 2004
9
Hey Guys,
I've never posted here, though i've been lurking around for years. I've picked up tons of great ideas and even started fooling with "lisp's", and for that I thank you.
Now i need help with polar coordinates, I need to dimention
a dwg with angls and radius and cant find anything to do this.
I run AutoCad 2002 as a Methods Eng. in manufacturing,
Many thanks in advance.
 
Replies continue below

Recommended for you

Have you searched in AutoCAD "Help"? Search for "polar coordinates".

Chris
SolidWorks/PDMWorks 08 3.1
AutoCAD 06/08
ctopher's home (updated Jul 13, 2008)
 
Chris,
Thanks, yes I did
In the help section the only polar coord. item is for describing (inserting) points, I'am looking to put the arc
and rad on the part print as a dim
I may not be calling it the proper thing, but I've also
tried vector's & polar dimmentions, I don't see what I'am looking for.
 
Try command "dimradius". Is that what you are looking for?
I'm running ACAD 2008.

Chris
SolidWorks/PDMWorks 08 3.1
AutoCAD 06/08
ctopher's home (updated Jul 13, 2008)
 
You could try this... text style height of 0 is required
Code:
;;; Leader annotated w/ Distance and angle LPS 2008
(defun c:test (pt1 pt2 di ang mid tjpt)
  (defun rtd (a) (/ (* a 180.0) pi))
  (setq	pt1 (getpoint "Pick base point: ")
	pt2 (getpoint "Pick end point: " pt1)
	di  (strcat (rtos (distance pt1 pt2) 2 2) "'")
	ang (strcat "@ " (rtos (rtd (angle pt1 pt2)) 2 2) "%%d")
  )
  (command "qleader" pt2 pt1)
  (command)
  (setq	mid  (polar pt1 (angle pt1 pt2) (/ (distance pt1 pt2) 2))
	tjpt (polar mid
		    (+ (/ pi 2) (angle pt1 pt2))
		    (* (getvar "dimscale") 0.08335)
	     )
  )
  (command "text"
	   "mc"
	   tjpt
	   (* 0.1 (getvar "dimscale"))
	   (rtd (angle pt1 pt2))
	   di
	   ""
  )
  (command "text" "" ang "")
)

____________________
Civil 3D 2008, Terramodel
 
oops, forgot a /
this can be tweaked to suit your needs
Code:
;;; Leader annotated w/ Distance and angle LPS 2008
(defun c:test (/ pt1 pt2 di ang mid tjpt)
  (defun rtd (a) (/ (* a 180.0) pi))
  (setq    pt1 (getpoint "Pick base point: ")
    pt2 (getpoint "Pick end point: " pt1)
    di  (strcat (rtos (distance pt1 pt2) 2 2) "'")
    ang (strcat "@ " (rtos (rtd (angle pt1 pt2)) 2 2) "%%d")
  )
  (command "qleader" pt2 pt1)
  (command)
  (setq    mid  (polar pt1 (angle pt1 pt2) (/ (distance pt1 pt2) 2))
    tjpt (polar mid
            (+ (/ pi 2) (angle pt1 pt2))
            (* (getvar "dimscale") 0.08335)
         )
  )
  (command "text"
       "mc"
       tjpt
       (* 0.1 (getvar "dimscale"))
       (rtd (angle pt1 pt2))
       di
       ""
  )
  (command "text" "" ang "")
)

____________________
Civil 3D 2008, Terramodel
 
thats it!
thanks ipseifert, sorry i didnt get to it sooner, i had
a machine fail and had to get dirty!
that is certainly the way for me to go, and maybe add a
tweak
thanks to all
 
You can create an attributed block in this form (Radius,Theta) but then you would need to manually fill in the values for the radii and angles which you can get with command LI for list.
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor